// Copyright (C) 2013-2014 Jolla Ltd.
// Neo 2 layout by Neo-Projekt (http://neo-layout.org)
// Custom keyboard for Jolla by rrunner64 <rrunner64@web.de>

import QtQuick 2.0
import com.meego.maliitquick 1.0
import ".."

KeyboardLayout {
    KeyboardRow {
        CharacterKey { caption: "x"; captionShifted: "X"; symView: "1"; symView2: "°"; accents: "x1…ξª₁¬"; accentsShifted: "X1…Ξª₁¬" }
        CharacterKey { caption: "v"; captionShifted: "V"; symView: "2"; symView2: "§"; accents: "v2_√º₂∨∧"; accentsShifted: "V2_√º₂∨∧" }
        CharacterKey { caption: "l"; captionShifted: "L"; symView: "3"; symView2: "ℓ"; accents: "lľ3[ĺłλ№₃"; accentsShifted: "LĽ3[ĹŁΛ№₃" }
        CharacterKey { caption: "c"; captionShifted: "C"; symView: "4"; symView2: "»"; accents: "cčć4]çχ♀⊥"; accentsShifted: "CČĆ4]Ç♀⊥" }
        CharacterKey { caption: "w"; captionShifted: "W"; symView: "5"; symView2: "«"; accents: "wω·5^♂"; accentsShifted: "WΩ5^" }
        CharacterKey { caption: "k"; captionShifted: "K"; symView: "6"; symView2: "$"; accents: "kκ¡!6£∥"; accentsShifted: "K×¡!6£∥" }
        CharacterKey { caption: "h"; captionShifted: "H"; symView: "7"; symView2: "€"; accents: "hψ<¢7¤→"; accentsShifted: "HΨ<¢7¤→" }
        CharacterKey { caption: "g"; captionShifted: "G"; symView: "8"; symView2: "„"; accents: "gğ>γ8∞"; accentsShifted: "GĞ>Γ8∞" }
        CharacterKey { caption: "f"; captionShifted: "F"; symView: "9"; symView2: "“"; accents: "fφ∝≠≈=≡9"; accentsShifted: "FΦ∝≠≈=≡9" }
        CharacterKey { caption: "q"; captionShifted: "Q"; symView: "0"; symView2: "”"; accents: "q&₀0"; accentsShifted: "Q&₀0" }
        CharacterKey { caption: "ß"; captionShifted: "ẞ"; symView: "+"; symView2: "×"; accents: "ßς±⊕−∖ſ"; accentsShifted: "ẞ×÷⁄∣⊙ſ" }
    }

    KeyboardRow {
        CharacterKey { caption: "u"; captionShifted: "U"; symView: "…"; symView2: "¹"; accents: "u\\ûùúůű"; accentsShifted: "U\\ÛÙÚŮŰ⊂"}
        CharacterKey { caption: "i"; captionShifted: "I"; symView: "_"; symView2: "²"; accents: "i/îìíïıι"; accentsShifted: "I/ÎÌÍÏİ∫" }
        CharacterKey { caption: "a"; captionShifted: "A"; symView: "["; symView2: "³"; accents: "a{âàáãåăα"; accentsShifted: "A{ÂÀÁÃÅĂ∀" }
        CharacterKey { caption: "e"; captionShifted: "E"; symView: "]"; symView2: "›"; accents: "eè}éëêěęε"; accentsShifted: "EÈ}ÉËÊĚĘ∃" }
        CharacterKey { caption: "o"; captionShifted: "O"; symView: "^"; symView2: "‹"; accents: "oòó*ôõőøο"; accentsShifted: "OÒÓ*ÔÕŐØ∈" }
        CharacterKey { caption: "s"; captionShifted: "S"; symView: "!"; symView2: "¡"; accents: "sšś¿?şσ"; accentsShifted: "SŠŚ¿?ŞΣ" }
        CharacterKey { caption: "n"; captionShifted: "N"; symView: "<"; symView2: "¥"; accents: "nňń(ñ₹ν"; accentsShifted: "NŇŃ(Ñ₹" }
        CharacterKey { caption: "r"; captionShifted: "R"; symView: ">"; symView2: "‚"; accents: "rř)ŕρ"; accentsShifted: "R)ŘŔ" }
        CharacterKey { caption: "t"; captionShifted: "T"; symView: "="; symView2: "‘"; accents: "tťţ-τ"; accentsShifted: "TŤŢ-∂" }
        CharacterKey { caption: "d"; captionShifted: "D"; symView: "&"; symView2: "’"; accents: "dďđ:δ"; accentsShifted: "DĎĐ:Δ" }
        CharacterKey { caption: "y"; captionShifted: "Y"; symView: ";"; symView2: "@"; accents: "yýυ@"; accentsShifted: "YÝ∇@" }
    }

    KeyboardRow {
        CharacterKey { caption: "ü"; captionShifted: "Ü"; symView: "\\"; symView2: "#"; accents: "ü#→←↑↓↔↕"; accentsShifted: "Ü#→←↑↓↔↕∪" }
        CharacterKey { caption: "ö"; captionShifted: "Ö"; symView: "/"; symView2: "÷"; accents: "ö$œ"; accentsShifted: "Ö$Œ∩" }
        CharacterKey { caption: "ä"; captionShifted: "Ä"; symView: "{"; symView2: "|"; accents: "ä|æąη"; accentsShifted: "Ä|ÆĄ" }
        CharacterKey { caption: "p"; captionShifted: "P"; symView: "}"; symView2: "~"; accents: "p~π"; accentsShifted: "P~Π" }
        CharacterKey { caption: "z"; captionShifted: "Z"; symView: "*"; symView2: "`"; accents: "zž`źżζ"; accentsShifted: "ZŽ`ŹŻ" }
        CharacterKey { caption: "b"; captionShifted: "B"; symView: "?"; symView2: "¿"; accents: "b+β"; accentsShifted: "B+" }
        CharacterKey { caption: "m"; captionShifted: "M"; symView: "("; symView2: "%"; accents: "m%μ"; accentsShifted: "M%⇔" }
        CharacterKey {
            caption: MInputMethodQuick.contentType === Maliit.UrlContentType
                     ? "/"
                     : MInputMethodQuick.contentType === Maliit.EmailContentType
                       ? "@"
                       : ","
            captionShifted: MInputMethodQuick.contentType === Maliit.UrlContentType
                     ? "/"
                     : MInputMethodQuick.contentType === Maliit.EmailContentType
                       ? "@"
                       : "–"
            symView: ")"
            symView2: "‰"
            accents: ",\"′″"
            accentsShifted: "–\"⇒"
        }
        CharacterKey { caption: "."; captionShifted: "•"; symView: "."; symView2: "\""; accents: ".♣♠♥'♦"; accentsShifted: "•†'ϑ" }
        CharacterKey { caption: "j"; captionShifted: "J"; symView: ":"; symView2: "'"; accents: "j;θ"; accentsShifted: "J;Θ" }
        
        BackspaceKey {
            width: punctuationKeyWidthNarrow
        }
    }
    
    KeyboardRow {
        ShiftKey {
            width: shiftKeyWidthNarrow
        }
        SymbolKey {
            width: symbolKeyWidthNarrow
        }
        CharacterKey {
            caption: "-"
            captionShifted: "—"
            symView: "-"
            symView2: "≪"
            accents: "\u00A0"
            accentsShifted: "\u00AD"
            width: punctuationKeyWidthNarrow
            fixedWidth: true
            separator: false
        }
        SpacebarKey {
            fixedWidth: true
        }
        CharacterKey {
            caption: ":"
            captionShifted: ":"
            symView: ","
            symView2: "≫"
            accents: "©®℗™♫"
            accentsShifted: "©®℗™♫"
            width: punctuationKeyWidthNarrow
            fixedWidth: true
            separator: false
        }
        EnterKey {
            width: symbolKeyWidthNarrow
        }
    }
}
